# Set-RASLBSettings

### NAME

Set-RASLBSettings\ <br>

### SYNOPSIS

Modifies Parallels RAS load balancing settings.\ <br>

### SYNTAX

Set-RASLBSettings \[-[CPUCounter](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#CPUCounter) *\<bool>*] \[-[DeadTimeout](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#DeadTimeout) *\<uint>*] \[-[DisableRDSLB](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#DisableRDSLB) *\<bool>*] \[-[EnableCPULB](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#EnableCPULB) *\<bool>*] \[-[MaxConnectionRequests](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#MaxConnectionRequests) *\<uint>*] \[-[MemoryCounter](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#MemoryCounter) *\<bool>*] \[-[Method](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#Method) {ResourceBased | RoundRobin}] \[-[ReconnectDisconnect](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#ReconnectDisconnect) *\<bool>*] \[-[ReconnectUser](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#ReconnectUser) *\<bool>*] \[-[ReconnectUsingIPOnly](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#ReconnectUsingIPOnly) *\<bool>*] \[-[RefreshTimeout](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#RefreshTimeout) *\<uint>*] \[-[Replicate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#Replicate) *\<bool>*] \[-[SessionsCounter](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#SessionsCounter) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLBSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The Set-RASLBSettings cmdlet modifies Parallels RAS load balancing settings using the specified parameters and their values.\
\
All parameters are optional.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
The site ID to which the RAS LB settings refer.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Method <**[**LBMethod**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/LBMethod.html)**>**\
Specifies the load balancing method (Round-robin or Resource based).\
\
Accepted values: ResourceBased \[0], RoundRobin \[1].\
\
Possible values: ResourceBased, RoundRobin\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**CPUCounter \<bool>**\
Enable or disable the CPU counter.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MemoryCounter \<bool>**\
Enable or disable the Memory counter.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SessionsCounter \<bool>**\
Enable or disable the Sessions counter.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReconnectDisconnect \<bool>**\
Enable or disable the "Reconnect to disconnected sessions" option.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReconnectUsingIPOnly \<bool>**\
Enable or disable the "Reconnect sessions using client's IP address only" option.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReconnectUser \<bool>**\
Enable or disable the "Limit user to one session per desktop" option.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DisableRDSLB \<bool>**\
Enable or disable the "Disable Microsoft RD Connection Broker" option.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DeadTimeout \<uint>**\
Set the value (number of seconds) of the "Declare Agent dead if not responding for" property.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**RefreshTimeout \<uint>**\
Set the value (number of seconds) of the "Agent Refresh Time" property.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Replicate \<bool>**\
Enable or disable the "Replicate settings" option (replicate settings to all sites).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**EnableCPULB \<bool>**\
Enable or disable the "CPU Load Balancer" option.\
\
Deprecated: use 'Set-RASCPUOptimizationSettings -EnableCPUOptimization $true' to enable CPU Load Balancer.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MaxConnectionRequests \<uint>**\
Maximum number of connection requests for an Agent.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASLBSettings -ReconnectUser $false -DisableRDSLB $false\
\
Modifies the specified load balancing parameters.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-raslbsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
